Eclipse GEF 3.3

## org.eclipse.gef.palette
Class ConnectionCreationToolEntry

    java.lang.Object
      org.eclipse.gef.palette.PaletteEntry
          org.eclipse.gef.palette.ToolEntry
              org.eclipse.gef.palette.CreationToolEntry
                  org.eclipse.gef.palette.ConnectionCreationToolEntry

public class ConnectionCreationToolEntry
extends CreationToolEntry

A palette ToolEntry for a `ConnectionCreationTool`.

Since:
  2.1

Field Summary

Fields inherited from class org.eclipse.gef.palette.CreationToolEntry
`factory`

Fields inherited from class org.eclipse.gef.palette.ToolEntry
`PALETTE_TYPE_TOOL`

Fields inherited from class org.eclipse.gef.palette.PaletteEntry
`listeners, PALETTE_TYPE_UNKNOWN, PERMISSION_FULL_MODIFICATION, PERMISSION_HIDE_ONLY, PERMISSION_LIMITED_MODIFICATION, PERMISSION_NO_MODIFICATION, PROPERTY_DEFAULT, PROPERTY_DESCRIPTION, PROPERTY_LABEL, PROPERTY_LARGE_ICON, PROPERTY_PARENT, PROPERTY_SMALL_ICON, PROPERTY_TYPE, PROPERTY_VISIBLE`

Constructor Summary
`ConnectionCreationToolEntry(java.lang.String label, java.lang.String shortDesc, CreationFactory factory, ImageDescriptor iconSmall, ImageDescriptor iconLarge)` Constructor for ConnectionCreationToolEntry.

Methods inherited from class org.eclipse.gef.palette.ToolEntry
`createTool, getToolProperties, getToolProperty, setToolClass, setToolProperty`

Methods inherited from class org.eclipse.gef.palette.PaletteEntry
`addPropertyChangeListener, getDescription, getId, getLabel, getLargeIcon, getParent, getSmallIcon, getType, getUserModificationPermission, isVisible, removePropertyChangeListener, setDescription, setId, setLabel, setLargeIcon, setParent, setSmallIcon, setType, setUserModificationPermission, setVisible, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ConnectionCreationToolEntry

    public ConnectionCreationToolEntry(java.lang.String label,
                                       java.lang.String shortDesc,
                                       CreationFactory factory,
                                       ImageDescriptor iconSmall,
                                       ImageDescriptor iconLarge)

  Constructor for ConnectionCreationToolEntry.

Parameters:
  `label` - the label
  `shortDesc` - the description
  `factory` - the CreationFactory
  `iconSmall` - the small icon
  `iconLarge` - the large icon

Eclipse GEF 3.3

Copyright (c) IBM Corp. and others 2000, 2007. All Rights Reserved.